Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.authentication
Interface CustomDBMSAuthenticatorPlugin

    public interface CustomDBMSAuthenticatorPlugin

Method Summary
`void` | `initialize(ProviderMBean mBean)` Executed on initialization of the CustomDBMSAuthenticatorPlugin.
`String` | `lookupPassword(Connection connection, String user)` Called during authentication process to retrieve password for user.
`String[]` | `lookupUserGroups(Connection connection, String user)` Called during authentication and identity assertion to determine the users group membership.
`void` | `shutdown()` Executed on shutdown of the authentication provider, or if the plugin is replaced dynamically at runtime with another implementation class.
`boolean` | `userExists(Connection connection, String user)` Called during Identity Assertion to verify existence of user.

Method Detail

### initialize

    void initialize(ProviderMBean mBean)

  Executed on initialization of the CustomDBMSAuthenticatorPlugin.

  Parameters:
    `mBean` - providerMBean for provider using the plugin

### shutdown

    void shutdown()

  Executed on shutdown of the authentication provider, or if the plugin is replaced dynamically at runtime with another implementation class.

### lookupPassword

    String lookupPassword(Connection connection,
                          String user)
                          throws SQLException

  Called during authentication process to retrieve password for user.

  Parameters:
    `connection` - JDBC connection
    `user` - String representing the username
  Returns:
    String representing the password in one of the supported formats
  Throws:
    `SQLException` - if a database access error occurs

### userExists

    boolean userExists(Connection connection,
                       String user)
                       throws SQLException

  Called during Identity Assertion to verify existence of user.

  Parameters:
    `connection` - JDBC connection
    `user` - String representing the username
  Returns:
    boolean indicating whether the user exists or not. `True` if user exists, `false` if not
  Throws:
    `SQLException` - if a database access error occurs

### lookupUserGroups

    String[] lookupUserGroups(Connection connection,
                              String user)
                              throws SQLException

  Called during authentication and identity assertion to determine the users group membership.

  Parameters:
    `connection` - connection to the database
    `user` - String representing the username
  Returns:
    an array of group strings, or `null` for no groups
  Throws:
    `SQLException` - if a database access error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD